<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
</head>
<body>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-b5kHyXgcpbZJO/tY9Ul7kGkf1S0CWuKcCD38l8YkeH8z8QjE0GmW1gYU5S9FOnJ0"
        crossorigin="anonymous">
</script>
<script type='text/javascript' src="/js/listen-to-stream.js"></script>

<div class="container">
    <form method="post" action="/register">
        <div class="mb-3">
            <label for="user-name-input" class="form-label">You Display Name *</label>
            <input type="text" class="form-control" id="user-name-input" name="user-name" required>
        </div>
        <div class="mb-3">
            <select class="form-select" id="currency-select" name="user-currency" required>
                <option disabled selected hidden>You preferred currency</option>
            </select>
        </div>
        <button class="btn btn-primary">Register</button>
    </form>
</div>

<script type="text/javascript">
    listenToStream("currencies", function (event) {
        const currencyName = JSON.parse(event.data)
        const currencySelect = document.getElementById("currency-select")
        const newOption = document.createElement("option")
        newOption.text = currencyName
        currencySelect.add(newOption)
    })
</script>

</body>
</html>